/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.dao;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.impl.BaseDao;
import com.wechat.model.dbEntity.MdeHotelBrand;

/**
 * 单表生成DAO接口
 * 
 * @author tangwc
 * @version 2018-05-23
 */
@Repository
public class MdeHotelBrandDao extends BaseDao {

	public MdeHotelBrand getInfoById(int id) {
		return super.selectOne("MdeHotelBrandMapper.get", id);
	}

	// 根据国际区分获取酒店品牌
	public List<MdeHotelBrand> getHotelByInternational(Map<String, String> map) {
		return super.select("MdeHotelBrandMapper.getHotelByInternational", map);
	}

	// 获取所有酒店品牌
	public List<MdeHotelBrand> getAllHotelInternational(String lang) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("lang", lang);
		return super.select("MdeHotelBrandMapper.getHotelByInternational", map);
	}
}